Commit 1995943c authored by Kleber Sacilotto de Souza's avatar Kleber Sacilotto de Souza Committed by Paolo Abeni
Browse files

selftests: net: fix IOAM test skip return code



The ioam6.sh test script exits with an error code (1) when tests are
skipped due to lack of support from userspace/kernel or not enough
permissions. It should return the kselftests SKIP code instead.

Reviewed-by: default avatarJustin Iurman <justin.iurman@uliege.be>
Signed-off-by: default avatarKleber Sacilotto de Souza <kleber.souza@canonical.com>
Link: https://lore.kernel.org/r/20220801124615.256416-1-kleber.souza@canonical.com


Signed-off-by: default avatarPaolo Abeni <pabeni@redhat.com>
parent 969e26c6
Loading
Loading
Loading
Loading
+7 −5
Original line number Diff line number Diff line
@@ -117,6 +117,8 @@
#        | Schema Data         |                                     |
#        +-----------------------------------------------------------+

# Kselftest framework requirement - SKIP code is 4.
ksft_skip=4

################################################################################
#                                                                              #
@@ -211,7 +213,7 @@ check_kernel_compatibility()
    echo "SKIP: kernel version probably too old, missing ioam support"
    ip link del veth0 2>/dev/null || true
    ip netns del ioam-tmp-node || true
    exit 1
    exit $ksft_skip
  fi

  ip -netns ioam-tmp-node route add db02::/64 encap ioam6 mode inline \
@@ -227,7 +229,7 @@ check_kernel_compatibility()
         "without CONFIG_IPV6_IOAM6_LWTUNNEL?"
    ip link del veth0 2>/dev/null || true
    ip netns del ioam-tmp-node || true
    exit 1
    exit $ksft_skip
  fi

  ip link del veth0 2>/dev/null || true
@@ -752,20 +754,20 @@ nfailed=0
if [ "$(id -u)" -ne 0 ]
then
  echo "SKIP: Need root privileges"
  exit 1
  exit $ksft_skip
fi

if [ ! -x "$(command -v ip)" ]
then
  echo "SKIP: Could not run test without ip tool"
  exit 1
  exit $ksft_skip
fi

ip ioam &>/dev/null
if [ $? = 1 ]
then
  echo "SKIP: iproute2 too old, missing ioam command"
  exit 1
  exit $ksft_skip
fi

check_kernel_compatibility